Summary:	An IRC chat program
Name:		hexchat
Version:	2.12.1
Release:	%mkrel 1
Group:		Networking/IRC
License:	GPLv2
Url:		http://hexchat.github.io
Source0:	http://dl.hexchat.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libcanberra-devel
BuildRequires:	libnotify-devel
BuildRequires:	libproxy-devel
BuildRequires:	%{_lib}sexy-devel
BuildRequires:	openssl-devel
BuildRequires:	pciutils-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
# To get the balloon alerts working
Requires:	libnotify


%description
HexChat is an IRC chat program. It allows you to join multiple IRC
channels (chat rooms) at the same time, talk publicly, private
one-on-one conversations etc.

HexChat is based on XChat, but unlike XChat it's completely free
for both Windows and Unix-like systems.

%package	devel
Summary:	HexChat header for plugin development
Group:		Development/Libraries
Conflicts:	xchat-devel

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

# Get rid of libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Fix opening irc:// links by adding mimetype and editing exec
desktop-file-install \
  --add-category="GTK" \
  --add-category="IRCClient" \
  --set-key=Exec --set-value="hexchat -e %U" \
  --dir=%{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/hexchat.desktop

%find_lang %{name}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING readme.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.%{name}.service.service
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_libdir}/%{name}/plugins/*
%{_mandir}/man1/%{name}.1.*

%files devel
%{_includedir}/%{name}-plugin.h
%{_libdir}/pkgconfig/%{name}-plugin.pc


%changelog
* Tue May 03 2016 bb <bb> 2.12.1-1pclos2016
- update

* Wed Nov 26 2014 pinoc <vogtpet at gmail.com> 2.10.2-1pclos2014
- 2.10.2

* Sat Jan 18 2014 TerryN <terryn94 at gmail.com> 2.9.6.1-1pclos2014
- Initial version for PCLinuxOS

